OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
GRFPresence Struct Reference

Information about the presence of a Grf at a certain point during gamelog history Note about missing Grfs: Changes to missing Grfs are not logged including manual removal of the Grf. More...

## Public Member Functions
| GRFPresence (const GRFConfig *gc)

## Data Fields
const GRFConfig * | gc
| GRFConfig, if known.
bool | was_missing
| Grf was missing during some gameload in the past.

## Detailed Description

Information about the presence of a Grf at a certain point during gamelog history Note about missing Grfs: Changes to missing Grfs are not logged including manual removal of the Grf.

So if the gamelog tells a Grf is missing we do not know whether it was readded or completely removed at some later point.

Definition at line 152 of file gamelog.cpp.

The documentation for this struct was generated from the following file:

- src/gamelog.cpp